Partially update a workspace
curl --request PATCH \
--url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Workspace Name"
}
'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}"
payload = { "name": "Updated Workspace Name" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Workspace Name'})
};
fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"protected": true,
"api_key": "<string>",
"date_created": "2023-11-07T05:31:56Z",
"date_changed": "2023-11-07T05:31:56Z"
}Workspaces
Partially update a workspace
PATCH
/
workspaces
/
{id}
Partially update a workspace
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Workspace ID
Body
application/json
Workspace name
Maximum string length:
255Response
Workspace updated successfully
Unique identifier for the workspace
Workspace name
Maximum string length:
255Protected workspaces cannot be deleted
Unique API key for this workspace. Used for authenticating API requests scoped to this workspace.
Workspace creation timestamp
Workspace last update timestamp
Was this page helpful?
⌘I